<h4 style="margin: auto;" *ngIf="!selectedCompany">Entreprise non disponible</h4>
<div *ngIf="selectedCompany" style="display: flex; flex-direction: column; width: 100%; height: 100%;">
  <div style="align-self: center; display: flex;margin-bottom: 30px;">
    <img [src]="selectedCompany.logo" width="120px" alt="logo"/>
    <h4 style="font-size: 17px; margin-left: 10px;">{{selectedCompany.name}}</h4>
  </div>
  <div style="align-self: center; display: flex; margin-bottom: 15px;">
    <div class="card-score">
      <p style="font-size: 48px">{{selectedCompany.score}}/10</p>
      <p style="margin-top: -20px;">Greenwashing score</p>
    </div>
    <div class="card-score">
      <p style="font-size: 48px;" class="primary">{{selectedCompany.numberOfNews}}</p>
      <p style="margin-top: -20px;">Publication</p>
    </div>
    <div class="card-score">
      <p style="font-size: 48px" class="primary">{{selectedCompany.numberOfClimateNews}}</p>
      <p style="margin-top: -20px;">Publication Climat</p>
    </div>
    <div class="card-score">
      <p style="font-size: 48px" class="primary">{{selectedCompany.numberOfClimateNewsWithMateriality}}</p>
      <p style="margin-top: -20px;">Action Climat</p>
    </div>
  </div>
  <div style="display: flex; width: 100%; margin-top: 35px;">
    <div style="width: 50%">
      <div>
        <div>
          <div style="display: block">
            <canvas baseChart
                    [data]="radarChartData"
                    [options]="radarChartOptions"

                    [type]="radarChartType">
            </canvas>
          </div>
        </div>
      </div>
    </div>
    <div style="margin-left: 50px;">
      <h4 *ngIf="selectedCompany.keywords?.length > 0">Sujets climats principaux</h4>
      <nb-tag-list>
        <nb-tag status="primary" appearance="outline" style="margin-right: 5px"
                *ngFor="let keyword of selectedCompany.keywords" text="{{keyword}}"></nb-tag>
      </nb-tag-list>
      <div *ngFor="let ev of selectedCompany.lastEvents" style="display: flex; flex-direction: column;">
        <h4>{{ev.title}}</h4>
        <p>{{ev.content}}</p>
      </div>
    </div>
  </div>
</div>
